Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ee.ut.ga.util
Class PwmUtil

    java.lang.Object
      ee.ut.ga.util.PwmUtil

public class PwmUtil
extends java.lang.Object

Field Summary
`static org.apache.log4j.Logger` | `log`

Constructor Summary
`PwmUtil()`

Method Summary
`static int` | `getLength(java.util.Map matrix)`
`static int` | `getMotifSetLength(java.util.Map pam)`
`static java.lang.String` | `getPattern(java.util.Map pwm, int length)`
`static java.util.Map` | `getPwm(java.util.Map pam, java.util.Map priors, int length)`
`static java.math.BigDecimal` | `getValue(java.util.Map pwm, java.lang.String motif)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static org.apache.log4j.Logger log

Constructor Detail

### PwmUtil

    public PwmUtil()

Method Detail

### getValue

    public static java.math.BigDecimal getValue(java.util.Map pwm,
                                                java.lang.String motif)

  Returns:
    weight of the given motif with specified Position-Weigth-Matrix

### getPwm

    public static java.util.Map getPwm(java.util.Map pam,
                                       java.util.Map priors,
                                       int length)

  Returns:
    Position-Weigth-Matrix (Map), calculated using Position-Align-Matrix

### getPattern

    public static java.lang.String getPattern(java.util.Map pwm,
                                              int length)

  Returns:
    approximate pattern of Position-Weight-Matrix.

### getLength

    public static int getLength(java.util.Map matrix)

  Returns:
    number of columns in matrix (aka length of pattern)

### getMotifSetLength

    public static int getMotifSetLength(java.util.Map pam)

  Returns:
    quantity of DNA sequencies used to calculate matrixes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD